org.apache.fop.render.ps.extensions

## Class PSExtensionAttachment

- java.lang.Object
- - org.apache.fop.render.ps.extensions.PSExtensionAttachment

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

Direct Known Subclasses:
  PSCommentAfter, PSCommentBefore, PSPageTrailerCodeBefore, PSSetPageDevice, PSSetupCode

    public abstract class PSExtensionAttachment
    extends Object
    implements ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

This is the pass-through value object for the PostScript extension.

### Field Summary

Fields
`static String` `CATEGORY` The category URI for this extension attachment.
`protected String` `content` extension node content

### Constructor Summary

Constructors
Constructor and Description
`PSExtensionAttachment()` No-argument contructor.
`PSExtensionAttachment(String content)` Default constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`String` `getContent()`
`protected abstract String` `getElement()`
`String` `getType()`
`void` `setContent(String content)` Sets the content for the setup code object.
`void` `toSAX(ContentHandler handler)` Generates SAX events representing the object's state.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### content

    protected String content

extension node content

#### CATEGORY

    public static final String CATEGORY

The category URI for this extension attachment.

See Also:
  Constant Field Values

### Constructor Detail

#### PSExtensionAttachment

    public PSExtensionAttachment(String content)

Default constructor.

Parameters:
  `content` - the content of the setup code object

#### PSExtensionAttachment

    public PSExtensionAttachment()

No-argument contructor.

### Method Detail

#### getCategory

    public String getCategory()

Description copied from interface: `ExtensionAttachment`
This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

Specified by:
  `getCategory` in interface `ExtensionAttachment`
Returns:
  the category URI
See Also:
  `ExtensionAttachment.getCategory()`

#### getContent

    public String getContent()

Returns:
  the content

#### setContent

    public void setContent(String content)

Sets the content for the setup code object.

Parameters:
  `content` - The content to set.

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Generates SAX events representing the object's state.

Specified by:
  `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
Parameters:
  `handler` - ContentHandler instance to send the SAX events to
Throws:
  `SAXException` - if there's a problem generating the SAX events
See Also:
  `XMLizable.toSAX(org.xml.sax.ContentHandler)`

#### getType

    public String getType()

Returns:
  type name

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this object
See Also:
  `Object.toString()`

#### getElement

    protected abstract String getElement()

Returns:
  element